Core resources
Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgetsBooking flow
Query availabilitySearch availabilityBookOrganization members.
iduuidUnique identifier
created_attimestamp with time zoneCreation timestamp
updated_attimestamp with time zoneLast modification timestamp
role"user" | "admin" | "superuser"Role of the member
JSON
{
"id": "00000000-0000-0000-0000-000000000000",
"organization_id": "00000000-0000-0000-0000-000000000000",
"user_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-03-12T07:07:29.825Z",
"updated_at": "2026-03-12T07:07:29.825Z",
"role": "user"
}idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
roleFilter<"user" | "admin" | "superuser">Role of the member
200A list of members with the selected columns
206Partial Content
GET /memberscurl -X GET "https://api.bookingmood.com/v1/members?select=*" \
-H "Authorization: Bearer YOUR_API_KEY"Invite a member to your organization. The member will receive an email with a link to accept the invitation. The member will have the user role. To make a member admin or superuser use the dashboard.
emailrequiredstringThe email address of the member to invite.
languageLanguageThe member's preferred language.
namestringThe name of the member to invite.
201The invited member with user profile information
POST /memberscurl -X POST "https://api.bookingmood.com/v1/members" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{
"email": "johndoe@example.com",
"name": "John Doe"
}'JSON
{
"id": "00000000-0000-0000-0000-000000000000",
"organization_id": "00000000-0000-0000-0000-000000000000",
"user_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-03-12T07:07:29.825Z",
"updated_at": "2026-03-12T07:07:29.825Z",
"role": "user",
"user_profile": {
"referrer_id": "00000000-0000-0000-0000-000000000000",
"user_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-03-12T07:07:29.825Z",
"updated_at": "2026-03-12T07:07:29.825Z",
"avatar": "",
"email": "",
"first_week_contains_date": 0,
"language": "en-US",
"last_login_at": "2026-03-12T07:07:29.825Z",
"name": "",
"source": "",
"week_starts_on": 0
}
}Revoke a member from your organization. The member will no longer have access to your organization. Only works for members with the user role. To revoke an admin or superuser members use the dashboard.
idrequireduuidThe identifier of the member to revoke.
200The deleted member
DELETE /memberscurl -X DELETE "https://api.bookingmood.com/v1/members?id=00000000-0000-0000-0000-000000000000" \
-H "Authorization: Bearer YOUR_API_KEY"